/***************************************************************************
                          CException.cpp  -  description
                             -------------------
    begin                : 01.01.2001
    copyright            : (C) 2001 by Marco Budde
    email                : tuvisionlib@tuvision.de
    origin               : Diplomarbeit Marco Budde

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This file is part of the TUVision Library. It is free software; you   *
 *   can redistribute it and/or modify it under the terms of the           *
 *   GNU Library General Public License as published by the Free Software  *
 *   Foundation; either version 2 of the License, or (at your option)      *
 *   any later version.                                                    *
 *                                                                         *
 ***************************************************************************/
#include "tuv/CException.h"

using namespace std;
using namespace TUVision;


/**********************************************************/
/*! 
 *   This function could be used to get a description
 *   (as string) of the problem that has caused the
 *   exception.
 *
 *   \return description
 */
/**********************************************************/

const string &CException::what (void) const
{
    return (d_what);
}
