/***************************************************************************
                          CColourSpaceRGB.h  -  description
                             -------------------
    begin                : 01.01.2001
    copyright            : (C) 2001 by Eric Sommerlade
    email                : tuvisionlib@tuvision.de
    origin               : Studienarbeit/Diplomarbeit Eric Sommerlade

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This file is part of the TUVision Library. It is free software; you   *
 *   can redistribute it and/or modify it under the terms of the           *
 *   GNU Library General Public License as published by the Free Software  *
 *   Foundation; either version 2 of the License, or (at your option)      *
 *   any later version.                                                    *
 *                                                                         *
 ***************************************************************************/
#ifndef __CCOLOURSPACERGB_H__
#define __CCOLOURSPACERGB_H__

#include "CColourSpace.h"

namespace TUVision {

class _CCTUVISION CColourSpaceRGB: public CColourSpace {
public:
    static CColourSpaceRGB& getColorSpaceRGB();
    virtual ~CColourSpaceRGB();

    CColourSpaceMatrix getMatrixToXYZ() const;
    CColourSpaceMatrix getMatrixFromXYZ() const;

private:
    CColourSpaceRGB();
};

} // namespace TUVision

#endif
