/***************************************************************************
                          CFileReadUtils.h  -  description
                             -------------------
    begin                : 29.11.2001
    copyright            : (C) 2001 by Marco Budde
    email                : tuvisionlib@tuvision.de
    origin               : Bildverarbeitung 1, WS 2001/2002

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This file is part of the TUVision Library. It is free software; you   *
 *   can redistribute it and/or modify it under the terms of the           *
 *   GNU Library General Public License as published by the Free Software  *
 *   Foundation; either version 2 of the License, or (at your option)      *
 *   any later version.                                                    *
 *                                                                         *
 ***************************************************************************/
#ifndef __TUVISION_CFILEREADUTILS_H__
#define __TUVISION_CFILEREADUTILS_H__ 1

#include "TUVisionDef.h"
#include "tuv/CImageDatatypes.h"
#include "tuv/CException.h"
#include <string>


namespace TUVision{

_CCTUVISION CImageByteGray * readImageByteGray(const std::string &filename)
    throw (CException);

_CCTUVISION CImageByteRGB  * readImageByteRGB (const std::string &filename)
    throw (CException);

}

#endif // __TUVISION_CFILEREADUTILS__
