; tuvisionlib.iss - file
; Written by Fabian Wenzel 22.11.2001 for the TUVision class library

[Setup]
AppName=tuvisionlib
AppVerName=tuvisionlib version 0.9
AppCopyright=Copyright (C) 1999-2004 TUHH Vision Systems
DefaultDirName={pf}\tuvisionlib\
DefaultGroupName=TUVisionlib
PrivilegesRequired=admin
LicenseFile=COPYING

[Files]
Source: "include\*";  DestDir: "{app}\include";  Flags: recursesubdirs
Source: "contrib\*";  DestDir: "{app}\contrib";  Flags: recursesubdirs
Source: "examples\*"; DestDir: "{app}\examples"; Flags: recursesubdirs
Source: "src\*";      DestDir: "{app}\src";      Flags: recursesubdirs
Source: "doc\*";      DestDir: "{app}\doc";      Flags: recursesubdirs
Source: "*.vcproj";   DestDir: "{app}";
Source: "*.sln";      DestDir: "{app}";
Source: "COPYING";    DestDir: "{app}";
Source: "README";     DestDir: "{app}";
Source: "AUTHORS";    DestDir: "{app}";
Source: "INSTALL";    DestDir: "{app}"; DestName: "INSTALL.TXT";

[Icons]
Name: "{group}\tuvisionlib"; Filename: {uninstallexe}

[Registry]
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Control\Session Manager\Environment"; ValueType: string; ValueName: "tuvisionlib"; ValueData: "{app}"; Flags: uninsdeletevalue;

[Run]
Filename: "{app}\INSTALL.TXT"; Description: "View INSTALL file"; Flags: postinstall shellexec skipifsilent